Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util
Class XMLObjectInputStream.GetField

    java.lang.Object
      java.io.ObjectInputStream.GetField
          rice.p2p.util.XMLObjectInputStream.GetField

Enclosing class:
  XMLObjectInputStream

    public class XMLObjectInputStream.GetField

extends java.io.ObjectInputStream.GetField

This class is an implementation of GetField which is compatible with the XMLObjectInputStreamm. It works in the same manner as the ObjectInputStreamm.GetField.

Field Summary
`protected java.util.HashMap` | `objects`
`protected java.util.HashMap` | `primitives`

Constructor Summary
`XMLObjectInputStream.GetField()`

Method Summary
`boolean` | `defaulted(java.lang.String name)`
`boolean` | `get(java.lang.String name, boolean value)`
`byte` | `get(java.lang.String name, byte value)`
`char` | `get(java.lang.String name, char value)`
`double` | `get(java.lang.String name, double value)`
`float` | `get(java.lang.String name, float value)`
`int` | `get(java.lang.String name, int value)`
`long` | `get(java.lang.String name, long value)`
`java.lang.Object` | `get(java.lang.String name, java.lang.Object value)`
`short` | `get(java.lang.String name, short value)`
`java.io.ObjectStreamClass` | `getObjectStreamClass()`
`protected void` | `put(java.lang.String name, boolean value)`
`protected void` | `put(java.lang.String name, byte value)`
`protected void` | `put(java.lang.String name, char value)`
`protected void` | `put(java.lang.String name, double value)`
`protected void` | `put(java.lang.String name, float value)`
`protected void` | `put(java.lang.String name, int value)`
`protected void` | `put(java.lang.String name, long value)`
`protected void` | `put(java.lang.String name, java.lang.Object value)`
`protected void` | `put(java.lang.String name, short value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### primitives

    protected java.util.HashMap primitives

### objects

    protected java.util.HashMap objects

Constructor Detail

### XMLObjectInputStream.GetField

    public XMLObjectInputStream.GetField()

Method Detail

### defaulted

    public boolean defaulted(java.lang.String name)

  Specified by:
    `defaulted` in class `java.io.ObjectInputStream.GetField`

### get

    public boolean get(java.lang.String name,
                       boolean value)

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`

### get

    public byte get(java.lang.String name,
                    byte value)

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`

### get

    public char get(java.lang.String name,
                    char value)

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`

### get

    public double get(java.lang.String name,
                      double value)

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`

### get

    public float get(java.lang.String name,
                     float value)

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`

### get

    public int get(java.lang.String name,
                   int value)

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`

### get

    public long get(java.lang.String name,
                    long value)

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`

### get

    public short get(java.lang.String name,
                     short value)

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`

### get

    public java.lang.Object get(java.lang.String name,
                                java.lang.Object value)

  Specified by:
    `get` in class `java.io.ObjectInputStream.GetField`

### put

    protected void put(java.lang.String name,
                       boolean value)

### put

    protected void put(java.lang.String name,
                       byte value)

### put

    protected void put(java.lang.String name,
                       char value)

### put

    protected void put(java.lang.String name,
                       double value)

### put

    protected void put(java.lang.String name,
                       float value)

### put

    protected void put(java.lang.String name,
                       int value)

### put

    protected void put(java.lang.String name,
                       long value)

### put

    protected void put(java.lang.String name,
                       short value)

### put

    protected void put(java.lang.String name,
                       java.lang.Object value)

### getObjectStreamClass

    public java.io.ObjectStreamClass getObjectStreamClass()

  Specified by:
    `getObjectStreamClass` in class `java.io.ObjectInputStream.GetField`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.